package net.sf.javaprinciples.data.transformer;

/**
 * Simply delegates mapping
 *
 * @author Warwick Slade
 */
public class DelegateMapper<T, U> extends ModelElementMapper<T, U> implements Mapper<T, U>
{
    private Mapper<T, U> mapper;

    @Override
    public void map(T input, U output)
    {
        mapper.map(input, output);
    }

    public void setMapper(Mapper<T,U> mapper)
    {
        this.mapper = mapper;
    }
}
